Bug 456915 - updating kernel breaks nm-openvpn
updating kernel breaks nm-openvpn
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 12:19 EDT by Ben Breard
Modified: 2009-07-14 11:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:15:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Breard 2008-07-28 12:19:46 EDT
Description of problem:

kernel 2.6.25.11-97.fc9.i686 breaks nm-openvpn. After the update the vpn fails
to connect saying. The VPN connection 'vpn-name' failed because the VPN service
stopped unexpectedly. 


Version-Release number of selected component (if applicable):

NetworkManager-openvpn-0.7.0-14.svn3632.fc9.src.rpm


How reproducible:
very
Comment 1 Dan Williams 2008-09-30 16:25:45 EDT
is this still an issue with latest F9 updates?  If so, what version of NetworkManager-openvpn are you running?
Comment 2 Mr R 2008-11-09 11:46:17 EST
I'm having here the same exact problem with F9:
RPM Group    : System Environment/Base
Source       : NetworkManager-openvpn-0.7.0-16.svn4027.fc9.src.rpm
Yum Group    : Base System/System Tools
 -> Type     : Default
Build Time   : Tue Sep 30 16:23:56 2008
Install Time : Sun Oct 12 02:01:12 2008
License      : GPLv2+

Messages log:
NetworkManager: <info>  Starting VPN service 'org.freedesktop.NetworkManager.openvpn'...
NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.openvpn' started (org.freedesktop.NetworkManager.openvpn), PID 6982
NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.openvpn' just appeared, activating connections
NetworkManager: <info>  VPN plugin state changed: 1
NetworkManager: <info>  VPN plugin state changed: 3
NetworkManager: <info>  VPN connection 'home' (Connect) reply received.
nm-openvpn[6985]: OpenVPN 2.1_rc8 i386-redhat-linux-gnu [SSL] [LZO2] [EPOLL] built on Jun 14 2008
nm-openvpn[6985]: WARNING: No server certificate verification method has been enabled.  See http://openvpn.net/howto.html#mitm for more info.
nm-openvpn[6985]: LZO compression initialized
nm-openvpn[6985]: UDPv4 link local: [undef]
nm-openvpn[6985]: UDPv4 link remote: 192.168.1.250:820
nm-openvpn[6985]: [rbhkamal.myftp.org] Peer Connection Initiated with 192.168.1.250:820
nm-openvpn[6985]: TUN/TAP device tap0 opened
nm-openvpn[6985]: /usr/libexec/nm-openvpn-service-openvpn-helper "tap0" 1500 1574   init
nm-openvpn[6985]: script failed: shell command exited with error status: 1
nm-openvpn[6985]: Exiting
NetworkManager: <info>  VPN plugin state changed: 6
NetworkManager: <WARN>  connection_state_changed(): Could not process the request because no VPN connection was active.
Comment 3 Jens Liebchen 2008-11-30 07:59:14 EST
I think I have the same problem with F10:

NetworkManager-openvpn-0.7.0-16.svn4326.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64

I think the problem may be related with the line:

nm-openvpn[6985]: /usr/libexec/nm-openvpn-service-openvpn-helper "tap0" 1500 1574   init

I am having static IPs within the VPN connection, and that IP config is missing in the line above, so maybe some update caused errors with the environment? If you take a look at the line, you can notice more than one space before init, that is where the IP address is missing.
Comment 4 Bug Zapper 2009-06-09 22:16:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:15:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.